Bug 111659 - prune_dcache oops with 2.4.20-20.9
prune_dcache oops with 2.4.20-20.9
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-08 02:40 EST by Alexander Larsson
Modified: 2015-01-04 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Larsson 2003-12-08 02:40:15 EST
My main development machine (running RHL9) apparently oopsed tonight.
Its normally stable, and it wasn't doing anything heavy, so I don't
think this is hardware issues.

Here is the oops:
Unable to handle kernel paging request at virtual address 94329429
 printing eip:
d959bad8
*pde = 00000000
Oops: 0000
via82cxxx_audio uart401 ac97_codec sound sd_mod nfs soundcore radeon
agpgart it87 i2c-proc i2c-isa i2c-core parport_pc lp parport nfsd
lockd sunrpc autofs via
CPU:    0
EIP:    0060:[<d959bad8>]    Not tainted
EFLAGS: 00010286

EIP is at ___strtok_R29805c13 [] 0x191c53dc (2.4.20-20.9)
eax: d959bad8   ebx: d959bad0   ecx: d959bad0   edx: d959bad0
esi: d959bac0   edi: d959bb68   ebp: 000004f0   esp: c34b3f74
ds: 0068   es: 0068   ss: 0068
Process kswapd (pid: 5, stackpage=c34b3000)
Stack: c015b9a3 d959bad0 d959b8c0 00000296 c3462a58 c3462a40 d959bad0
c0159133 
       d959bad0 c34629c0 c34b2000 00000000 000001d0 00000000 c01594b6
00000afe 
       c013b10b 00000006 000001d0 c34b2000 c34b2000 00000000 c34b2305
00000000 
Call Trace:   [<c015b9a3>] iput [kernel] 0x273 (0xc34b3f74))
[<c0159133>] prune_dcache [kernel] 0xc3 (0xc34b3f90))
[<c01594b6>] shrink_dcache_memory [kernel] 0x26 (0xc34b3fac))
[<c013b10b>] do_try_to_free_pages_kswapd [kernel] 0x1b (0xc34b3fb4))
[<c013b3b3>] kswapd [kernel] 0x83 (0xc34b3fd4))
[<c013b330>] kswapd [kernel] 0x0 (0xc34b3fe4))
[<c010727d>] kernel_thread_helper [kernel] 0x5 (0xc34b3ff0))


Code: d8 ba 59 d9 d8 ba 59 d9 e0 ba 59 d9 e0 ba 59 d9 e0 90 1b 00
Comment 1 Dave Jones 2004-01-04 23:26:50 EST
Try 2.4.20-27 or later. It fixes numerous stability problems in this area.
Comment 2 Bugzilla owner 2004-09-30 11:41:44 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.